Permalink
Browse files

Fix to install "json" gem explicitly every time

* This is workaround for the situation below:
  * "rake build:windows" uses latest json.gem, but Ruby 2.3.0 bundles 1.8.3 (current latest)
  * and ruby-bundled 1.8.3, but it's not compiled as "cross-ruby"
  * json-1.8.3 cannot be found at build time
  • Loading branch information...
1 parent b52504d commit 38ad2c11a9665349b140bab240eb91ff1134559b @tagomoris tagomoris committed Jan 8, 2016
Showing with 1 addition and 1 deletion.
  1. +1 −1 Rakefile
View
@@ -65,7 +65,7 @@ namespace :build do
desc 'Build gems for Windows per rake-compiler-dock'
task :windows do
require 'rake_compiler_dock'
- RakeCompilerDock.sh 'bundle && rake cross native gem RUBY_CC_VERSION=1.9.3:2.0.0:2.1.6:2.2.2:2.3.0'
+ RakeCompilerDock.sh 'bundle && gem i json && rake cross native gem RUBY_CC_VERSION=1.9.3:2.0.0:2.1.6:2.2.2:2.3.0'
end
end

0 comments on commit 38ad2c1

Please sign in to comment.